Skip to navigation

Get Schema Records

Returns all records from a supported schema on a Connection.

This endpoint supports only the HubSpot deals_pipelines schema. It returns all records from that schema in a single response, without sampling or pagination. Other backends and schemas are unsupported.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the connection
schema_idstringRequired
Identifier of the schema within the connection

Headers

X-Polytomic-VersionstringOptional

Response

OK
datalist of maps from strings to any or nullOptional
Sample records from the schema

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error